# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.suggestion_update import SuggestionUpdate

class TestSuggestionUpdate(unittest.TestCase):
    """SuggestionUpdate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> SuggestionUpdate:
        """Test SuggestionUpdate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `SuggestionUpdate`
        """
        model = SuggestionUpdate()
        if include_optional:
            return SuggestionUpdate(
                id = 'e',
                title = '0',
                description = '',
                origin_type = 'automation',
                origin_id = '',
                source_type = 'entity',
                source_id = '',
                source_context = magneto_api_client.models.sourcecontext.Sourcecontext(),
                target_type = 'entity',
                target_id = '',
                target_context = magneto_api_client.models.targetcontext.Targetcontext(),
                target_id_override = '',
                data = magneto_api_client.models.data.Data(),
                ignored = True,
                auto_apply = True,
                last_applied_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f')
            )
        else:
            return SuggestionUpdate(
                title = '0',
                origin_type = 'automation',
                origin_id = '',
                source_type = 'entity',
                source_id = '',
                target_type = 'entity',
                target_id = '',
        )
        """

    def testSuggestionUpdate(self):
        """Test SuggestionUpdate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
